File: changelog

package info (click to toggle)
magnum 7.1.0-1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 6,124 kB
  • sloc: python: 31,970; sh: 5,587; makefile: 59
file content (263 lines) | stat: -rw-r--r-- 8,118 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
magnum (7.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Fix dependencies for new version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 06 Feb 2019 12:23:21 +0100

magnum (7.0.2-2) unstable; urgency=medium

  * d/control: Bump openstack-pkg-tools to 90
  * Add debconf config
  * Fix fix-py3-compatibility.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 09 Jan 2019 11:23:27 +0100

magnum (7.0.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: Bump openstack-pkg-tools to 89
      - Bump openstack-pkg-tools to 89
      - Add me to uploaders field
  * d/copyright: Add me to copyright file
  * d/patches: Add fix-py3-compatibility.patch (Closes: #914108)
  * d/patches: Fix install-missing-files.patch (Closes: #914107)
  * d/python3-magnum.lintian-overrides:
      - shell-script-fails-syntax-check - False positive
      - python-script-but-no-python-dep - False positive
      - script-not-executable - False positive
      - Above shell and python scripts are not used in debian,
        they are used inside provisioned instances which are
        currently using python2.7.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 19 Nov 2018 16:42:07 +0100

magnum (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:49:32 +0200

magnum (7.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist 2 unit tests:
    - drivers.test_heat_driver.TestHeatPoller.test_poll_done()
    - drivers.test_heat_driver.TestHeatPoller.test_poll_destroy()

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 15:03:45 +0200

magnum (6.0.1-2) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 22:28:24 +0000

magnum (6.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Generating policy.json with oslopolicy-sample-generator.
  * Switched to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Feb 2018 10:20:30 +0100

magnum (5.0.1-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:49:49 +0000

magnum (5.0.1-3) unstable; urgency=medium

  * Team upload.
  * Updated fr.po debconf translation (Closes: #886207).

 -- Ondřej Nový <onovy@debian.org>  Sun, 21 Jan 2018 15:15:01 +0100

magnum (5.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Updated pt.po (Closes: #876174).

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:06:31 +0000

magnum (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Updating vcs fields.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * Remove SQLAlchemy version patch.
  * Fix oslo-config-generator namespace list.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Oct 2017 15:18:15 +0200

magnum (3.1.1-4) unstable; urgency=medium

  * Brazilian Portuguese debconf templates (Closes: #852444).
  * German debconf translation update (Closes: #842486).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Apr 2017 17:31:50 +0200

magnum (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Bump build dependency on openstack-pkg-tools (Closes: #858703).

 -- David Rabel <david.rabel@noresoft.com>  Sat, 01 Apr 2017 11:49:48 +0200

magnum (3.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add missing files (Closes: #847097).
  * Allow SQLAlchemy >= 1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Dec 2016 16:53:30 +0100

magnum (3.1.1-1) unstable; urgency=medium

  * Fixed missing Alembic migration scripts (LP: #1632743).
  * Fixed missing lsb-base runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Oct 2016 23:58:31 +0200

magnum (3.1.1-0) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable (Closes: #835100).
  * Fixed oslotest EPOCH.
  * Debconf translation:
    - it (Closes: #839194).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:54:56 +0200

magnum (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Using OpenStack Gerrit as VCS URLs.
  * Fixed (build-)depends for this release.
  * Removed all patches (now irrelevant).
  * Updated Danish translation of the debconf templates (Closes: #830647).

  [ Spyros Trigazis ]
  * Fixed endpoint registration type and description.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jul 2016 14:31:58 +0200

magnum (2.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Updated Japanese debconf templates translation update (Closes: #820764).
  * Updated Dutch debconf templates translation (Closes: #823254).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 13:11:37 +0000

magnum (2.0.0-4) unstable; urgency=medium

  * Uploading to unstable.
  * Updated ja.po debconf translation (Closes: #819209).
  * Updated pt_BR.po debconf translation (Closes: #819257).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:04:40 +0200

magnum (2.0.0-3) experimental; urgency=medium

  * Do not use Keystone admin auth token to register API endpoints.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 13:38:20 +0000

magnum (2.0.0-2) experimental; urgency=medium

  * Fixed config file generation.
  * Added missing oslo.middleware.cors namespace when generating config.
  * Also packaging api-paste.ini.
  * Set correct lock_path and auth_protocol default options in magnum.conf.
  * Correctly install all files in the package.
  * Add fix-bashisms.patch.
  * Set default listen on all IPs for magnum-api (ie: 0.0.0.0 instead of the
    default, which is 127.0.0.1).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 23:11:15 +0100

magnum (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Failed build on unit test failures.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 13:51:47 +0100

magnum (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated nl.po debconf translation (Closes: #812355).
  * Updated fr.po debconf translation (Closes: #807767).
  * Added a watch file.
  * Fixed debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 16:33:13 +0800

magnum (1.0.0~b1-5) unstable; urgency=medium

  * Import po files from Glance (Closes: #804126).

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Nov 2015 09:51:23 +0100

magnum (1.0.0~b1-4) unstable; urgency=medium

  * Added missing magnum-common dbconfig-common dependency (Closes: #804107).
  * Added python-openstackclient depends in magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Nov 2015 11:03:26 +0100

magnum (1.0.0~b1-3) unstable; urgency=medium

  * Added q-text-as-data in depends for magnum-api.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 11:45:32 +0000

magnum (1.0.0~b1-2) unstable; urgency=medium

  * Rebuilt with openstack-pkg-tools 37 to use Keystone API v3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Nov 2015 08:29:29 +0000

magnum (1.0.0~b1-1) unstable; urgency=medium

  * Initial release. (Closes: #803532)

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Oct 2015 06:26:24 +0100